Bug 119043 - (E1000, PCI ID)Intel Gigabit NIC 82541GI not identified
(E1000, PCI ID)Intel Gigabit NIC 82541GI not identified
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-24 03:42 EST by Matt Whiteley
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:15:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Whiteley 2004-03-24 03:42:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
I have a Intel PRO/1000 MT that is not working in FC1.

This NIC is brand new and known to work in freebsd in the same
machine/configuration.

lspci:
00:04.0 Ethernet controller: Intel Corp. 82541GI Gigabit Ethernet
Controller

/proc/pci:
  Bus  0, device   4, function  0:
    Ethernet controller: PCI device 8086:1076 (Intel Corp.) (rev 0).
      IRQ 5.
      Master Capable.  Latency=32.  Min Gnt=255.
      Non-prefetchable 32 bit memory at 0xfe920000 [0xfe93ffff].
      Non-prefetchable 32 bit memory at 0xfe900000 [0xfe91ffff].
      I/O at 0xec80 [0xecbf].



Version-Release number of selected component (if applicable):
hwdata-0.103.1-1

How reproducible:
Always

Steps to Reproduce:
1.Install FC1
2.NIC not available
3.
    

Actual Results:  The NIC is not seen by then installer. The NIC is not
seen by KUDZU on first boot. The NIC is not seen after full up2date.
If I add `alias eth1 e1000` to /etc/modules.conf and/or
/etc/modprobe.conf it is still not seen.

Expected Results:  The NIC should be usable in linux.

Additional info:

This is on a fresh install of FC1 with full updates applied.
Comment 1 Bill Nottingham 2004-03-24 11:42:26 EST
Is this exported by the e1000 module?
Comment 2 Matt Whiteley 2004-03-25 15:27:22 EST
I am not sure what you mean by exported but searching around in the code for the 
module, I do find reference of this number 82541GI. I have booted from a knoppix cd 
which correctly probes the card and saved the output from all relevant commands/files 
that I could think of. (/proc/pci, lspci, lsmod, dmesg, ifconfig) I have placed these on the 
web if you would like to look at them.
http://fawkes.cat.pdx.edu/~mattw/gigabit/

I am thinking I should use another NIC for now since this box must be put into use soon, 
but will an update be provided for FC1 or will I have to wait for FC2 for support of this 
NIC?

If I can provide more info, let me know. Thanks.
Comment 3 david 2004-04-02 18:10:12 EST
I just got a batch of SuperMicro P4SCi motherboards that have the 
82541GI and 82547GI gigabit lan.  Fedora C1 does not correctly detect 
these on install.  Even on a fully updated Fedora C1, the nics are 
not detected. Downloading/compiling this driver from SuperMicro works 
and nics 
ftp://ftp.supermicro.com/driver/LAN/Intel/PRO_v8.2/PRO1000/LINUX/
Comment 4 SP Tang 2004-05-10 00:30:09 EDT
Same happen to Dell PE750 - 2 x onboard Intel Gb NIC. Cannot 
recognize both NIC's when boot from floppy and provide DRVNET 
floppy.  Switch to CDROM, install successful as though no NIC is 
present.  After first boot, two files exist:
/lib/modules/2.4.22-1.2115.nptl/kernel/drivers/net/e1000/e1000.o
/lib/modules/2.4.22-1.2115.nptlsmp/kernel/drivers/net/e1000/e1000.o
Try manually insmod e1000, but error and reject.

Then found new release of driver at Intel(dated 4/7/2004) and compile:
ftp://aiedownload.intel.com/df-support/2897/eng/e1000-5.2.39.tar.gz
It remove old e1000.o and put newly compiled one at
/lib/modules/2.4.22-1.2115.nptlsmp/kernel/drivers/net/e1000.o
Reboot and kudgz detect NIC's as new hardware and prompt to config. 
Everything works fine afterwards.

My conclusion: e1000.o which comes with FC1 iso or DRVNET.IMG is 
buggy or not up to date.
Comment 5 David Lawrence 2004-09-29 16:15:13 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.